activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Timothy Bish <>
Subject RE: ActiveMQ C++ build errors
Date Tue, 07 Sep 2010 12:30:19 GMT
On Tue, 2010-09-07 at 09:13 +0100, Neil Pritchard wrote:
> Hi Tim,
> Thanks for your help on this, finally managed to build it against activeMQ-CPP 3.2.2,
will start testing now.

Great glad its working now.

> Can you tell me how the Java ActiveMQ / ActiveMQ-CPP version numbers correlate, i.e.
is activeMQ-CPP 3.2.2 the same as activeMQ (Java) 5.4.0 or 5.3.2 etc. ?

There is no correlation between release versions numbering of
ActiveMQ-CPP and ActiveMQ.  The C++ client is a stand alone client that
is compatible with the AMQ broker 4.x and 5.x releases.

> The reason that I ask is that I'm using 5.3.2 now but in a system that's written mainly
in Python and want to replace the Java components with Python to simplify the release procedure
etc..  I also want to make use of the scheduled / delayed retries feature that's in 5.4.0.
> I may build a .deb for ubuntu unless someone out there has already written one, it would
help us deploy our system and I'm sure other Ubuntu users would prefer to apt-get :-)

If you like to develop some packaging tools for the C++ client we love
the contribution to the project.

> Many thanks again for your help.


Tim Bish

Open Source Integration:
ActiveMQ in Action:

Follow me on Twitter:
My Blog:

View raw message